Summary: Concurrent Versioning System
Name: cvs
Version: 1.10.7
Release: 2
Group: Development/Version Control
Copyright: GPL
Url: http://www.cyclic.com
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://download.cyclic.com/pub/%{name}-%{version}/%{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
CVS is a front end to the rcs(1) revision control system which extends
the notion of revision control from a collection of files in a single
directory to a hierarchical collection of directories consisting of
revision controlled files.  These directories and files can be
combined together to form a software release.  CVS provides the
functions necessary to manage these software releases and to control
the concurrent editing of source files among multiple software
developers.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make
rm -f `find . -type f -name "*.info*"`
make info MAKEINFO="makeinfo --no-split"
(cd doc; rm -f *.ps; make doc)


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
gzip -9f $RPM_BUILD_ROOT/usr/info/*
gzip -9f doc/*.ps


%post
/sbin/install-info /usr/info/cvs.info.gz       /usr/info/dir \
  --entry="* cvs: (cvs).                   Concurrent Versions System."
/sbin/install-info /usr/info/cvsclient.info.gz /usr/info/dir \
  --entry="* cvsclient: (cvsclient).       The CVS client/server protocol."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/cvs.info.gz       /usr/info/dir
    /sbin/install-info --delete /usr/info/cvsclient.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc BUGS COPYING COPYING.LIB ChangeLog ChangeLog.zoo DEVEL-CVS FAQ HACKING
%doc INSTALL MINOR-BUGS NEWS PROJECTS README TESTS TODO
%doc doc/*.ps.gz
/usr/bin/*
/usr/info/*
/usr/lib/cvs
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

